POST api/sticker/duplicate

Request Information

URI Parameters

None.

Body Parameters

StickerViewModel
NameDescriptionTypeAdditional information
descriptions

Dictionary of string [key] and string [value]

None.

type

StickerTypeViewModel

None.

relations

Collection of StickerRelationViewModel

None.

details

Collection of StickerDetailViewModel

None.

active

boolean

Required

code

string

Required

Max length: 50

id

globally unique identifier

None.

stickerType_ID

globally unique identifier

Required

stickerRelation_IDs

Collection of globally unique identifier

None.

site_ID

globally unique identifier

Required

Request Formats

application/json, text/json

Sample:
{
  "descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "type": {
    "descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "code": "sample string 1",
    "id": "510d7dab-d1e6-431b-8bb4-3211d6fd5882",
    "technicalDescription": "sample string 3",
    "active": true
  },
  "relations": [
    {
      "active": true,
      "contract_ID": "69fb949c-d6d9-4e64-9de6-4c43e657a3a2",
      "contractItem_ID": "f8e7ac36-6545-4f30-9352-58a5a6f0e4f4",
      "departement_ID": "11b1c926-90b1-409d-b121-ad1eefc9e157",
      "departmentItem_ID": "68ecbd63-fbd4-4704-8f03-c57811264bb4",
      "iD": "9dec7336-f0ef-46a5-8cd0-a2bc1139759a",
      "site_ID": "132d6991-aa53-4cef-8ac9-d4d7a193a4eb",
      "siteCustomer_ID": "f91ee22c-19ad-47fd-a5cf-a2d76afd482a",
      "sticker_ID": "79fef0d9-20ba-49bf-8485-27da5ad15857",
      "garment_ID": "1b02d2ee-7523-4bf3-ac06-6d7be8f5678b"
    },
    {
      "active": true,
      "contract_ID": "69fb949c-d6d9-4e64-9de6-4c43e657a3a2",
      "contractItem_ID": "f8e7ac36-6545-4f30-9352-58a5a6f0e4f4",
      "departement_ID": "11b1c926-90b1-409d-b121-ad1eefc9e157",
      "departmentItem_ID": "68ecbd63-fbd4-4704-8f03-c57811264bb4",
      "iD": "9dec7336-f0ef-46a5-8cd0-a2bc1139759a",
      "site_ID": "132d6991-aa53-4cef-8ac9-d4d7a193a4eb",
      "siteCustomer_ID": "f91ee22c-19ad-47fd-a5cf-a2d76afd482a",
      "sticker_ID": "79fef0d9-20ba-49bf-8485-27da5ad15857",
      "garment_ID": "1b02d2ee-7523-4bf3-ac06-6d7be8f5678b"
    }
  ],
  "details": [
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "71213955-85f1-4aac-9f1e-5a1cb95b2c67",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "50aeb196-7df9-4dd5-ba79-b2b4a50b2246",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "86a0c8e1-6ed8-4269-85eb-8a0ce310d322",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "4ab277a2-7555-420a-984e-ae9769442ba2",
      "stickerField_ID": "a6eaf0d0-13f9-47b2-bc1a-e113846e2a9a",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    },
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "71213955-85f1-4aac-9f1e-5a1cb95b2c67",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "50aeb196-7df9-4dd5-ba79-b2b4a50b2246",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "86a0c8e1-6ed8-4269-85eb-8a0ce310d322",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "4ab277a2-7555-420a-984e-ae9769442ba2",
      "stickerField_ID": "a6eaf0d0-13f9-47b2-bc1a-e113846e2a9a",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    }
  ],
  "active": true,
  "code": "sample string 2",
  "id": "6dd764a3-cf2f-4070-abb5-1076e2bb6a35",
  "stickerType_ID": "cf0a35fb-4744-46d2-95e0-c751040a8b60",
  "stickerRelation_IDs": [
    "52cba3cb-d180-4e2c-89c7-11c39ea8294c",
    "bbdcaf8a-8f5f-4097-b01c-f63dc55830dc"
  ],
  "site_ID": "332a97a2-eeb2-49c5-a816-f56127f127ed"
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"29ef432b-830a-49eb-8496-7b2d8a93e356"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">29ef432b-830a-49eb-8496-7b2d8a93e356</guid>